# Подключение внешних проектов
include(ExternalProject)

set(FC_PROTOCOL_PREFIX
    ${CMAKE_BINARY_DIR}
    CACHE FILEPATH "" FORCE)
set(FC_PROTOCOL_INCLUDE_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(FC_PROTOCOL_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)

# cmake-format: off
list(APPEND _ext_project_args
  fc-protocol
  SOURCE_DIR  ${CMAKE_SOURCE_DIR}/thirdparty/fc-protocol
  INSTALL_DIR ${CMAKE_BINARY_DIR}
  CMAKE_ARGS  ${MYX_CMAKE_EXTERNAL_PROJECT_ARGS}
              <SOURCE_DIR>)
if(FcProtocolThirdparty_FIND_COMPONENTS STREQUAL "headers")
  list(APPEND _ext_project_args
    BUILD_COMMAND     true
    INSTALL_COMMAND   ${CMAKE_MAKE_PROGRAM} fc-protocol-install-headers)
endif()
ExternalProject_Add(${_ext_project_args})
unset(_ext_project_args)

set(FC_PROTOCOL_IS_EXTERNAL_PROJECT ON CACHE BOOL "" FORCE)
# cmake-format: on
